## AnjutaVcsStatusTreeView AnjutaVcsStatusTreeView |

## Synopsis

    #define             ANJUTA_VCS_DEFAULT_STATUS_CODES
                        AnjutaVcsStatusTreeViewPriv;
                        AnjutaVcsStatusTreeView;
    GtkWidget *         anjuta_vcs_status_tree_view_new     (void);
    void                anjuta_vcs_status_tree_view_destroy (AnjutaVcsStatusTreeView *self);
    void                anjuta_vcs_status_tree_view_add     (AnjutaVcsStatusTreeView *self,
                                                             gchar *path,
                                                             AnjutaVcsStatus status,
                                                             gboolean selected);
    void                anjuta_vcs_status_tree_view_select_all
                                                            (AnjutaVcsStatusTreeView *self);
    void                anjuta_vcs_status_tree_view_unselect_all
                                                            (AnjutaVcsStatusTreeView *self);
    GList *             anjuta_vcs_status_tree_view_get_selected
                                                            (AnjutaVcsStatusTreeView *self);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTreeView
                                     +----AnjutaVcsStatusTreeView

## Implemented Interfaces

AnjutaVcsStatusTreeView implements AtkImplementorIface and GtkBuildable.

## Properties

      "show-status"              gboolean              : Read / Write
      "status-codes"             AnjutaVcsStatus       : Read / Write / Construct Only

## Description

## Details

### ANJUTA_VCS_DEFAULT_STATUS_CODES

    #define             ANJUTA_VCS_DEFAULT_STATUS_CODES

### AnjutaVcsStatusTreeViewPriv

    typedef struct _AnjutaVcsStatusTreeViewPriv AnjutaVcsStatusTreeViewPriv;

### AnjutaVcsStatusTreeView

    typedef struct _AnjutaVcsStatusTreeView AnjutaVcsStatusTreeView;

### anjuta_vcs_status_tree_view_new ()

    GtkWidget *         anjuta_vcs_status_tree_view_new     (void);

Returns : |

### anjuta_vcs_status_tree_view_destroy ()

    void                anjuta_vcs_status_tree_view_destroy (AnjutaVcsStatusTreeView *self);

`self` : |

### anjuta_vcs_status_tree_view_add ()

    void                anjuta_vcs_status_tree_view_add     (AnjutaVcsStatusTreeView *self,
                                                             gchar *path,
                                                             AnjutaVcsStatus status,
                                                             gboolean selected);

`self` : |
`path` : |
`status` : |
`selected` : |

### anjuta_vcs_status_tree_view_select_all ()

    void                anjuta_vcs_status_tree_view_select_all
                                                            (AnjutaVcsStatusTreeView *self);

`self` : |

### anjuta_vcs_status_tree_view_unselect_all ()

    void                anjuta_vcs_status_tree_view_unselect_all
                                                            (AnjutaVcsStatusTreeView *self);

`self` : |

### anjuta_vcs_status_tree_view_get_selected ()

    GList *             anjuta_vcs_status_tree_view_get_selected
                                                            (AnjutaVcsStatusTreeView *self);

`self` : |
Returns : |

## Property Details

### The `"show-status"` property

      "show-status"              gboolean              : Read / Write

Show or hide status description.

Default value: TRUE

### The `"status-codes"` property

      "status-codes"             AnjutaVcsStatus       : Read / Write / Construct Only

Control which status codes are shown in the list.

Default value: ANJUTA_VCS_STATUS_MODIFIED|ANJUTA_VCS_STATUS_ADDED|ANJUTA_VCS_STATUS_DELETED|ANJUTA_VCS_STATUS_CONFLICTED